Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 4020 - PCI peer discovery cycle finds 255 peers! (TI TravelMate 5100 laptop)
Summary: PCI peer discovery cycle finds 255 peers! (TI TravelMate 5100 laptop)
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kernel
Version: 6.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: David Lawrence
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-07-13 20:30 UTC by Jason M. Sullivan
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-08-19 19:48:01 UTC


Attachments (Terms of Use)

Description Jason M. Sullivan 1999-07-13 20:30:09 UTC
When the Redhat 6.0 Linux kernal boots up on my TravelMate,
it goes though some sort of PCI peer probing thing with
messages of the form (typed from memory)

PCI: found peer at 0x00
PCI: found peer at 0x01

...and this continues up until...

PCI: found peer at 0xff

...needless to say, this takes a while. A good 15min on a
P120 with 24Mb of RAM.  I'm guessing this isn't supposed to
happen (I don't have 255 of anything PCI related in this
laptop).  Is there some sort of boot param. that I can enter
to limit this probing annoyance?

Comment 1 Bill Nottingham 1999-07-13 21:00:59 UTC
Try booting with the 'nopeer' option.

Comment 2 Anonymous 1999-07-15 01:35:59 UTC
That did it.  Thanks!

I read in the BootPrompt documetation (duh, shoulda gone there first)
about the argument, but I don't quite understand the nature of why
the PCI bus freaks out without it.  Oh well.  Thanks again!


Note You need to log in before you can comment on or make changes to this bug.